Neidio i'r cynnwys

Async Text to Speech Pro V1.0

Integreiddio

ID y model async/tts-pro/v1.0
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: $0.001 1 credyd API Ei redeg ar y dudalen hon

Cael allwedd API
Async Testun i Leferydd Cydamseru gwefusau #text-to-speech#voice-clone#lipsync

Testun-i-leferydd gyda dewis llais, clonio llais dewisol a chwe opsiwn iaith gorfodol

Async · Sain

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol

Cynnwys testun i'w syntheseiddio fel lleferydd.

•gofynnol

Llais a ddewisir ar gyfer syntheseiddio lleferydd.

Uwch language · output_format
language

Iaith i'w gorfodi wrth syntheseiddio, wedi'i nodi gan ddefnyddio ISO 639-1.

Cyfluniad ar gyfer y sain a gynhyrchir.

POST /run/async/tts-pro/v1.0?wait=20 dyfynbris → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Async Text to Speech Pro V1.0

Yn trosi `transcript` yn lleferydd gan ddefnyddio gwrthrych `voice` a ddewiswyd. Mae'r paramedr `language` dewisol yn gorfodi syntheseiddio yn Saesneg, Ffrangeg, Sbaeneg, Almaeneg, Eidaleg neu Bortiwgaleg. Mae gwrthrych `output_format` yn ffurfweddu'r sain, ac mae'r canlyniad yn cynnwys y ffeil sain, ei math MIME a'i maint mewn beitiau. Yn addas ar gyfer trosleisio lle rydych yn dewis llais penodol.

Paramedrau

EnwMath RhagosodedigCaniateir Disgrifiad
transcriptgofynnol
Mathstring
Cynnwys testun i'w syntheseiddio fel lleferydd.
voicegofynnol
Mathobject
Llais a ddewisir ar gyfer syntheseiddio lleferydd.
voice.namedewisol
Mathenum
RhagosodedigJennie
JennieStellaMaxHayesElaraCleoFisherCorinThaddeusLucinaAcadiaHuxleyWinsletJethroElioRupert
+84 yn rhagorEiraNyraArianLilyPierceKaelaElowenFreyaLennyAlessaPandoraFiaAbbottKaelOrlaSableMarnieSeraVirelLioraRivenElysDreenaRheaVelaNymeraIsoldeLirienZellaAvennaMirelleCaliaLuneaLucanTarianArloJovanNeronZivenDaxOrienLiorEryxTyrenNoxElricVarianZoranMiroDalenRonixJarekNyxieSorenVionaSeleneRachielCorbinAbigailFaithKimberlyDaveGraceAldenRenlyVioletJoelXavierEsmeraldaRobertLilaBrooksLennoxVanessaSimonNyomiJackPenelopeBraydenAbelNellieConnieAndrewLincoln
Llais rhagosodedig a enwir i'w ddefnyddio. Nid yw'n cael unrhyw effaith os darperir `id`.
output_formatdewisol
Mathobject
Cyfluniad ar gyfer y sain a gynhyrchir.
output_format.containerdewisol
Mathenum
Rhagosodedigmp3
mp3raw
Fformat cynhwysydd y sain a gynhyrchir.
output_format.encodingdewisol
Mathenum
pcm_s16lepcm_f32lepcm_mulaw
Amgodio PCM a gymhwysir dim ond pan fo'r cynhwysydd yn 'raw'.
output_format.sample_ratedewisol
Mathinteger
Rhagosodedig44100
8,000 – 48,000
Amledd samplu'r allbwn, mewn Hz.
output_format.bit_ratedewisol
Mathinteger | null
32,000 – 320,000
Cyfradd didau'r allbwn; mae'n berthnasol dim ond i'r cynhwysydd 'mp3'.
languagedewisol
Mathenum
enfresdeitpt
Iaith i'w gorfodi wrth syntheseiddio, wedi'i nodi gan ddefnyddio ISO 639-1.
gofynnol

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "async/tts-pro/v1.0",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "content_type": "audio/mpeg",
    "size_bytes": 1
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
audio
object {url, content_type, file_name, file_size}
content_type
stringMath MIME sain.
size_bytes
integerMaint sain wedi'i fesur mewn beitiau.

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/async/tts-pro/v1.0.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt